Eigen & Matrix: To Matrix (project rows)...

A command to project the rows of the Matrix object onto the eigenspace of the Eigen object.

## Setting

Number of dimensions
  defines the dimension, i.e., the number of columns, of the resulting Matrix object.

## Algorithm

Project each row of the Matrix on the coordinate system given by the eigenvectors of the Eigen object. This can be done as follows:

yij = Σk=1..dimension ejk zik, where

yij is the j-th element of the i-th row of the result, ejk is the k-th element of the j-th eigenvector, zik is the k-th element of the i-th row of the selected Matrix object, and dimension is the number of elements in an eigenvector.